## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global lib_ver 16.0.0
%global so_ver 16
Name:		simdutf
Version:	6.2.0
Release:	%autorelease
Summary:	Unicode validation and transcoding at billions of characters per second

License:	Apache-2.0 AND BSD-3-Clause
URL:		https://github.com/simdutf/simdutf
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# convert_utf32_to_utf16be_with_errors_tests fail on s390x
Patch0:		https://github.com/simdutf/simdutf/pull/667.patch

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	make
%ifnarch %{arm}
BuildRequires:	libasan
%endif

%description
Unicode (UTF8, UTF16, UTF32) validation and transcoding at billions of 
characters per second using SSE2, AVX2, NEON, AVX-512.

%package devel
Summary: Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
%cmake \
	-DCMAKE_BUILD_TYPE=Release \
	-DSIMDUTF_BENCHMARKS=OFF \
	-DSIMDUTF_TOOLS=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE-APACHE
%doc AUTHORS README.md
%{_libdir}/lib%{name}.so.%{lib_ver}
%{_libdir}/lib%{name}.so.%{so_ver}

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
## START: Generated by rpmautospec
* Sun Feb 16 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 6.2.0-2
- Fix test failure on s390x

* Sun Feb 16 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 6.2.0-1
- Update to 6.2.0

* Thu Jan 16 2025 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 6.0.3-1
- Update to 6.0.3

* Thu Aug 01 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 5.3.1-1
- Update to 5.3.1

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Feb 12 2024 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> - 4.0.9-1
- update to 4.0.9

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 aekoroglu <aekoroglu@linux.intel.com> - 3.0.0-1
- update to 3.0.0

* Fri Dec 23 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.9-3
- devel version control

* Fri Dec 23 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.9-2
- delete accidental add

* Fri Dec 23 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.9-1
- update to 2.0.9

* Fri Nov 11 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.2-2
- exclude s390 and s390x

* Fri Nov 11 2022 aekoroglu <aekoroglu@linux.intel.com> - 2.0.2-1
- 1st fedora release
## END: Generated by rpmautospec
